uses CRT,LB_UNIT2;

var
 say:mass;
 l:byte;
 rec:data;
 f:p;

begin
 assign(f,'BASA_D.DAT');
 textbackground(7); textcolor(0); clrscr;
 {$I-} reset(f); {$I+}
 if ioresult<>0 then begin
  rewrite(f);
  writeln('Не найден файл БД: создан заново.');
  readkey;
  clrscr;
 end;
 TABLICA;
 repeat
  window(1,1,80,25); textcolor(0);
  textbackground(7); gotoxy(49,1); writeln('Выбеpите:');
  say[1]:=(' Просмотр БД      ');
  say[2]:=(' Удалить запись   ');
  say[3]:=(' Добавить запись  ');
  say[4]:=(' Печать БД        ');
  say[5]:=(' Диаграмма        ');
  say[6]:=(' Выход            ');
  MENU(say,45,1,l,1);
  textbackground(7); textcolor(1);
  case l of
   1: PROSM(rec,f);
   2: DEL(rec,f);
   3: CREATE(rec,f);
   4: PRINT(rec,f);
   5: GRAFICA(rec,f);
  end;
 reset(f);
 window(1,16,80,25);
 textbackground(7); textcolor(0); clrscr;
 until l=6;
 textcolor(0); clrscr;
 close(f);
end.
